import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CourseItemComponent } from './course-item/course-item.component';
import { DragDropModule } from '@angular/cdk/drag-drop';
import { CourseDetailsDialogComponent } from '../dialogs/course-details-dialog/course-details-dialog.component';
import { NotesDialogComponent } from '../dialogs/notes-dialog/notes-dialog.component';

import { SharedModule } from '../../shared/shared.module';

@NgModule({
	imports: [ CommonModule, DragDropModule, SharedModule ],
	exports: [ CourseItemComponent, DragDropModule ],
	declarations: [ CourseItemComponent, CourseDetailsDialogComponent, NotesDialogComponent ]
})

export class SharedDegreePlannerModule { }
